[SOLVED] Latest update broke everything

hi, about 1 hour ago i updated my OS to latest updated using pacman -Syu. everything went fine and i rebooted my system, after that :
i saw and error about keyboard layout i guess and :

i dont have terminal
i cant open some apps
i dont have wallpaper
display setting is broken ( for dual monitor )
all of my themes and fonts resetted to default
and much more stuff …

i tried kernal fallback at startup but didnt help
what should i do?

2 Likes

Which DE are you using?

3 Likes

XFCE

i did clean install about a month ago using offline installer (with nvidia drivers)

1 Like

Start by making sure you have the basic packages you need installed.

Press ctrl+alt+F3

That should bring you to a TTY and login prompt.
Login
Then type:

sudo pacman -S xfce4

After that reboot and see if that brings anything back. At the very least, you should have a terminal after that.

Once you have a terminal, we can look through the pacman logs to try to determine what happened.

3 Likes

well i tried that, reisntalled xfce but still no terminal :frowning: (or to be precise, nothing changed )
which log i should post here?

1 Like

/var/log/pacman.log

Find the time where you started your update and post everything after that.

Additionally, how do you know you don’t have a terminal?

3 Likes

ok i will try to take a picture of that

im clicking on terminal in app manager, tried my dock, tried top bar, and also tried my bind

also i tried “terminal emulator” from app manager it says

"
failed to execute default terminal emulator.

Innput/output error.
"

I’m not sure about @dalto but people aren’t fans of pictures.

Why don’t you boot from a live usb and chroot in.

And post the output from there?

2 Likes
[2021-04-17T08:47:08+0430] [PACMAN] Running 'pacman -S linux-headers'
[2021-04-17T08:47:10+0430] [ALPM] running '70-dkms-upgrade.hook'...
[2021-04-17T08:47:10+0430] [ALPM] transaction started
[2021-04-17T08:47:13+0430] [ALPM] reinstalled linux-headers (5.11.12.arch1-1)
[2021-04-17T08:47:13+0430] [ALPM] transaction completed
[2021-04-17T08:47:13+0430] [ALPM] running '30-systemd-update.hook'...
[2021-04-17T08:47:13+0430] [ALPM] running '60-depmod.hook'...
[2021-04-17T08:47:26+0430] [ALPM] running '70-dkms-install.hook'...
[2021-04-17T19:23:11+0430] [PACMAN] Running 'pacman -Syu'
[2021-04-17T19:23:11+0430] [PACMAN] synchronizing package lists
[2021-04-17T19:23:38+0430] [PACMAN] starting full system upgrade
[2021-04-17T19:33:34+0430] [PACMAN] Running 'pacman -S connman wpa_supplicant bluez'
[2021-04-17T19:33:58+0430] [PACMAN] Running 'pacman -S connman wpa_supplicant bluez'
[2021-04-17T19:34:02+0430] [ALPM] transaction started
[2021-04-17T19:34:02+0430] [ALPM] installed connman (1.39-1)
[2021-04-17T19:34:02+0430] [ALPM] reinstalled wpa_supplicant (2:2.9-8)
[2021-04-17T19:34:02+0430] [ALPM] reinstalled bluez (5.58-1)
[2021-04-17T19:34:02+0430] [ALPM] transaction completed
[2021-04-17T19:34:02+0430] [ALPM] running '30-systemd-daemon-reload.hook'...
[2021-04-17T19:34:02+0430] [ALPM] running '30-systemd-update.hook'...
[2021-04-17T19:34:02+0430] [ALPM] running 'dbus-reload.hook'...
[2021-04-17T19:54:47+0430] [PACMAN] Running 'pacman -Syu'
[2021-04-17T19:54:47+0430] [PACMAN] synchronizing package lists
[2021-04-17T19:54:51+0430] [PACMAN] starting full system upgrade
[2021-04-17T19:55:40+0430] [PACMAN] Running 'pacman -Syu'
[2021-04-17T19:55:40+0430] [PACMAN] synchronizing package lists
[2021-04-17T19:55:42+0430] [PACMAN] starting full system upgrade
[2021-04-17T20:13:59+0430] [ALPM] running '60-mkinitcpio-remove.hook'...
[2021-04-17T20:13:59+0430] [ALPM] running '71-dkms-remove.hook'...
[2021-04-17T20:13:59+0430] [ALPM] transaction started
[2021-04-17T20:13:59+0430] [ALPM] upgraded libxml2 (2.9.10-8 -> 2.9.10-9)
[2021-04-17T20:13:59+0430] [ALPM] upgraded harfbuzz (2.8.0-1 -> 2.8.0-3)
[2021-04-17T20:13:59+0430] [ALPM] upgraded librsvg (2:2.50.3-1 -> 2:2.50.4-1)
[2021-04-17T20:13:59+0430] [ALPM] upgraded gtk-update-icon-cache (1:4.2.0-3 -> 1:4.2.0-5)
[2021-04-17T20:14:00+0430] [ALPM] upgraded adwaita-icon-theme (40rc-1 -> 40.0-1)
[2021-04-17T20:14:00+0430] [ALPM] upgraded aom (3.0.0-1 -> 3.0.0-2)
[2021-04-17T20:14:00+0430] [ALPM] upgraded arc-gtk-theme (20210127-1 -> 20210412-1)
[2021-04-17T20:14:00+0430] [ALPM] upgraded boost-libs (1.75.0-2 -> 1.75.0-3)
[2021-04-17T20:14:03+0430] [ALPM] upgraded boost (1.75.0-2 -> 1.75.0-3)
[2021-04-17T20:14:03+0430] [ALPM] upgraded libxcrypt (4.4.18-1 -> 4.4.19-1)
[2021-04-17T20:14:03+0430] [ALPM] upgraded systemd-libs (248-4 -> 248-5)
[2021-04-17T20:14:03+0430] [ALPM] upgraded ca-certificates-mozilla (3.63-1 -> 3.64-1)
[2021-04-17T20:14:03+0430] [ALPM] upgraded libnsl (1.3.0-1 -> 1.3.0-2)
[2021-04-17T20:14:03+0430] [ALPM] upgraded python (3.9.2-1 -> 3.9.3-1)
[2021-04-17T20:14:03+0430] [ALPM] upgraded smbclient (4.14.2-1 -> 4.14.2-2)
[2021-04-17T20:14:03+0430] [ALPM] upgraded cifs-utils (6.12-1 -> 6.13-1)
[2021-04-17T20:14:03+0430] [ALPM] upgraded curl (7.76.0-1 -> 7.76.1-1)
[2021-04-17T20:14:04+0430] [ALPM] upgraded libxkbcommon (1.2.0-2 -> 1.2.1-1)
[2021-04-17T20:14:04+0430] [ALPM] upgraded file (5.40-1 -> 5.40-2)
[2021-04-17T20:14:04+0430] [ALPM] upgraded systemd (248-4 -> 248-5)
[2021-04-17T20:14:04+0430] [ALPM] upgraded vulkan-icd-loader (1.2.172-1 -> 1.2.174-2)
[2021-04-17T20:14:04+0430] [ALPM] upgraded xorg-server-common (1.20.10-3 -> 1.20.11-1)
[2021-04-17T20:14:04+0430] [ALPM] upgraded xf86-input-libinput (1.0.0-1 -> 1.0.1-1)
[2021-04-17T20:14:04+0430] [ALPM] upgraded xorg-server (1.20.10-3 -> 1.20.11-1)
[2021-04-17T20:14:06+0430] [ALPM] upgraded nvidia-utils (460.67-1 -> 465.24.02-1)
[2021-04-17T20:14:06+0430] [ALPM-SCRIPTLET] If you run into trouble with CUDA not being available, run nvidia-modprobe first.
[2021-04-17T20:14:06+0430] [ALPM] upgraded gtk3 (1:3.24.28-2 -> 1:3.24.28-4)
[2021-04-17T20:14:06+0430] [ALPM] upgraded nss (3.63-1 -> 3.64-1)
[2021-04-17T20:14:07+0430] [ALPM] upgraded electron (12.0.2-1 -> 12.0.4-2)
[2021-04-17T20:14:07+0430] [ALPM] upgraded electron11 (11.4.2-1 -> 11.4.3-2)
[2021-04-17T20:14:07+0430] [ALPM] upgraded enchant (2.2.15-1 -> 2.2.15-2)
[2021-04-17T20:14:07+0430] [ALPM] upgraded endeavouros-mirrorlist (3.4-1 -> 3.5-1)
[2021-04-17T20:14:07+0430] [ALPM] upgraded harfbuzz-icu (2.8.0-1 -> 2.8.0-3)
[2021-04-17T20:14:08+0430] [ALPM] upgraded webkit2gtk (2.32.0-1 -> 2.32.0-2)
[2021-04-17T20:14:08+0430] [ALPM] upgraded yad (9.2-1 -> 9.3-1)
[2021-04-17T20:14:08+0430] [ALPM] upgraded eos-translations (1.1.20-1 -> 1.1.21-1)
[2021-04-17T20:14:08+0430] [ALPM] upgraded eos-bash-shared (1.6.15-1 -> 1.6.16-1)
[2021-04-17T20:14:08+0430] [ALPM] upgraded exo (4.16.1-1 -> 4.16.2-1)
[2021-04-17T20:14:08+0430] [ALPM] upgraded file-roller (3.38.0-2 -> 3.38.1-1)
[2021-04-17T20:14:09+0430] [ALPM] upgraded firefox (87.0-1 -> 87.0-2)
[2021-04-17T20:14:09+0430] [ALPM] upgraded fuse-common (3.10.2-1 -> 3.10.3-1)
[2021-04-17T20:14:09+0430] [ALPM] upgraded fuse3 (3.10.2-1 -> 3.10.3-1)
[2021-04-17T20:14:09+0430] [ALPM] upgraded glfw-x11 (3.3.3-1 -> 3.3.4-1)
[2021-04-17T20:14:09+0430] [ALPM] upgraded imagemagick (7.0.11.6-1 -> 7.0.11.7-1)
[2021-04-17T20:14:09+0430] [ALPM] upgraded libxkbcommon-x11 (1.2.0-2 -> 1.2.1-1)
[2021-04-17T20:14:10+0430] [ALPM] upgraded qt5-base (5.15.2+kde+r171-3 -> 5.15.2+kde+r172-2)
[2021-04-17T20:14:14+0430] [ALPM] upgraded qt5-wayland (5.15.2+kde+r11-1 -> 5.15.2+kde+r19-1)
[2021-04-17T20:14:15+0430] [ALPM] upgraded kwayland (5.80.0-1 -> 5.81.0-1)
[2021-04-17T20:14:16+0430] [ALPM] upgraded lib32-curl (7.76.0-1 -> 7.76.1-1)
[2021-04-17T20:14:16+0430] [ALPM] upgraded lib32-vulkan-icd-loader (1.2.172-1 -> 1.2.174-1)
[2021-04-17T20:14:16+0430] [ALPM] upgraded lib32-nvidia-utils (460.67-1 -> 465.24.02-1)
[2021-04-17T20:14:19+0430] [ALPM] upgraded libcdr (0.1.7-1 -> 0.1.7-2)
[2021-04-17T20:14:20+0430] [ALPM] upgraded libcmis (0.5.2-6 -> 0.5.2-7)
[2021-04-17T20:14:20+0430] [ALPM] upgraded libcurl-gnutls (7.76.0-1 -> 7.76.1-1)
[2021-04-17T20:14:24+0430] [ALPM] upgraded libe-book (0.1.3-8 -> 0.1.3-9)
[2021-04-17T20:14:25+0430] [ALPM] upgraded libical (3.0.9-1 -> 3.0.9-2)
[2021-04-17T20:14:26+0430] [ALPM] upgraded libmspub (0.1.4-9 -> 0.1.4-10)
[2021-04-17T20:14:26+0430] [ALPM] upgraded libqxp (0.0.2-5 -> 0.0.2-6)
[2021-04-17T20:14:26+0430] [ALPM] upgraded libvisio (0.1.7-4 -> 0.1.7-5)
[2021-04-17T20:14:26+0430] [ALPM] upgraded libzmf (0.0.2-9 -> 0.0.2-10)
[2021-04-17T20:14:36+0430] [ALPM] upgraded libreoffice-fresh (7.1.2-2 -> 7.1.2-3)
[2021-04-17T20:14:39+0430] [ALPM] upgraded libxnvctrl (460.67-1 -> 465.24.02-1)
[2021-04-17T20:16:10+0430] [ALPM] upgraded linux (5.11.12.arch1-1 -> 5.11.14.arch1-1)
[2021-04-17T20:16:11+0430] [ALPM] upgraded pahole (1.20-2 -> 1.21-1)
[2021-04-17T20:17:04+0430] [ALPM] upgraded linux-headers (5.11.12.arch1-1 -> 5.11.14.arch1-1)
[2021-04-17T20:17:08+0430] [ALPM] upgraded mujs (1.1.0-1 -> 1.1.1-1)
[2021-04-17T20:17:08+0430] [ALPM] upgraded nodejs (15.14.0-1 -> 15.14.0-2)
[2021-04-17T20:17:43+0430] [ALPM] upgraded npm (7.9.0-1 -> 7.10.0-1)
[2021-04-17T20:17:43+0430] [ALPM] upgraded nvidia (460.67-6 -> 465.24.02-1)
[2021-04-17T20:17:43+0430] [ALPM] upgraded nvidia-installer-db (2.4.20-1 -> 2.4.23-1)
[2021-04-17T20:17:43+0430] [ALPM] upgraded nvidia-settings (460.67-1 -> 465.24.02-1)
[2021-04-17T20:17:43+0430] [ALPM] upgraded oniguruma (6.9.6-1 -> 6.9.7.1-1)
[2021-04-17T20:17:46+0430] [ALPM] upgraded php (8.0.3-1 -> 8.0.3-2)
[2021-04-17T20:17:46+0430] [ALPM] upgraded php-gd (8.0.3-1 -> 8.0.3-2)
[2021-04-17T20:17:46+0430] [ALPM] upgraded plank (0.11.89-2 -> 0.11.89-3)
[2021-04-17T20:17:46+0430] [ALPM] upgraded qt5-location (5.15.2-2 -> 5.15.2-3)
[2021-04-17T20:17:46+0430] [ALPM] upgraded qt5-svg (5.15.2+kde+r5-1 -> 5.15.2+kde+r7-1)
[2021-04-17T20:17:46+0430] [ALPM] upgraded qt5-tools (5.15.2-3 -> 5.15.2+kde+r17-1)
[2021-04-17T20:17:47+0430] [ALPM] upgraded qt5-webengine (5.15.3-3 -> 5.15.3-4)
[2021-04-17T20:17:47+0430] [ALPM] upgraded r8168 (8.048.03-81 -> 8.048.03-85)
[2021-04-17T20:17:47+0430] [ALPM] upgraded systemd-resolvconf (248-4 -> 248-5)
[2021-04-17T20:17:47+0430] [ALPM] upgraded systemd-sysvcompat (248-4 -> 248-5)
[2021-04-17T20:17:48+0430] [ALPM] upgraded tracker3 (3.1.1-1 -> 3.1.1-2)
[2021-04-17T20:17:48+0430] [ALPM] upgraded unrar (1:6.0.4-1 -> 1:6.0.5-1)
[2021-04-17T20:17:48+0430] [ALPM] upgraded vala (0.52.1-1 -> 0.52.2-1)
[2021-04-17T20:17:48+0430] [ALPM] upgraded vte-common (0.64.0-1 -> 0.64.0-2)
[2021-04-17T20:17:48+0430] [ALPM] upgraded vte3 (0.64.0-1 -> 0.64.0-2)
[2021-04-17T20:17:48+0430] [ALPM] upgraded welcome (3.11.10-1 -> 3.11.12-3)
[2021-04-17T20:17:48+0430] [ALPM] upgraded xfce4-settings (4.16.0-1 -> 4.16.1-1)
[2021-04-17T20:17:51+0430] [ALPM] transaction completed
[2021-04-17T20:17:53+0430] [ALPM] running '20-systemd-sysusers.hook'...
[2021-04-17T20:17:54+0430] [ALPM] running '30-systemd-catalog.hook'...
[2021-04-17T20:17:54+0430] [ALPM] running '30-systemd-daemon-reload.hook'...
[2021-04-17T20:17:54+0430] [ALPM] running '30-systemd-hwdb.hook'...
[2021-04-17T20:18:01+0430] [ALPM] running '30-systemd-sysctl.hook'...
[2021-04-17T20:18:01+0430] [ALPM] running '30-systemd-tmpfiles.hook'...
[2021-04-17T20:18:02+0430] [ALPM] running '30-systemd-udev-reload.hook'...
[2021-04-17T20:18:02+0430] [ALPM] running '30-systemd-update.hook'...
[2021-04-17T20:18:02+0430] [ALPM] running '40-update-ca-trust.hook'...
[2021-04-17T20:18:06+0430] [ALPM] running '60-depmod.hook'...
[2021-04-17T20:18:21+0430] [ALPM] running '70-dkms-install.hook'...
[2021-04-17T20:18:21+0430] [ALPM] running '90-mkinitcpio-install.hook'...
[2021-04-17T20:18:24+0430] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2021-04-17T20:18:24+0430] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2021-04-17T20:18:25+0430] [ALPM-SCRIPTLET] ==> Starting build: 5.11.14-arch1-1
[2021-04-17T20:18:27+0430] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2021-04-17T20:18:29+0430] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2021-04-17T20:18:30+0430] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2021-04-17T20:18:30+0430] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2021-04-17T20:18:30+0430] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2021-04-17T20:18:31+0430] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-04-17T20:18:32+0430] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-04-17T20:18:33+0430] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2021-04-17T20:18:33+0430] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2021-04-17T20:18:33+0430] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2021-04-17T20:18:33+0430] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2021-04-17T20:18:33+0430] [ALPM-SCRIPTLET] ==> Creating xz-compressed initcpio image: /boot/initramfs-linux.img
[2021-04-17T20:18:50+0430] [ALPM-SCRIPTLET] ==> Image generation successful
[2021-04-17T20:18:50+0430] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2021-04-17T20:18:50+0430] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2021-04-17T20:18:50+0430] [ALPM-SCRIPTLET] ==> Starting build: 5.11.14-arch1-1
[2021-04-17T20:18:50+0430] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2021-04-17T20:18:50+0430] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2021-04-17T20:18:50+0430] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2021-04-17T20:18:50+0430] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2021-04-17T20:18:51+0430] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2021-04-17T20:18:52+0430] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2021-04-17T20:18:54+0430] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-04-17T20:18:57+0430] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-04-17T20:18:58+0430] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2021-04-17T20:18:58+0430] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2021-04-17T20:19:00+0430] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2021-04-17T20:19:03+0430] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2021-04-17T20:19:03+0430] [ALPM-SCRIPTLET] ==> Creating xz-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2021-04-17T20:20:14+0430] [ALPM-SCRIPTLET] ==> Image generation successful
[2021-04-17T20:20:14+0430] [ALPM] running 'dbus-reload.hook'...
[2021-04-17T20:20:14+0430] [ALPM] running 'detect-old-perl-modules.hook'...
[2021-04-17T20:20:14+0430] [ALPM] running 'eos-reboot-required.hook'...
[2021-04-17T20:20:14+0430] [ALPM-SCRIPTLET] Reboot is recommended because of recent core system package upgrades.
[2021-04-17T20:20:14+0430] [ALPM] running 'gdk-pixbuf-query-loaders.hook'...
[2021-04-17T20:20:14+0430] [ALPM-SCRIPTLET] g_module_open() failed for /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: libicuuc.so.69: cannot open shared object file: No such file or directory
[2021-04-17T20:20:14+0430] [ALPM] running 'glib-compile-schemas.hook'...
[2021-04-17T20:20:15+0430] [ALPM] running 'gtk-query-immodules-3.0.hook'...
[2021-04-17T20:20:15+0430] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-04-17T20:20:15+0430] [ALPM] running 'update-desktop-database.hook'...
[2021-04-17T20:20:15+0430] [ALPM] running 'update-mime-database.hook'...
[2021-04-17T20:20:15+0430] [ALPM-SCRIPTLET] /usr/bin/update-mime-database: error while loading shared libraries: libicuuc.so.69: cannot open shared object file: No such file or directory
[2021-04-17T20:20:59+0430] [PACMAN] Running 'pacman -Syu'
[2021-04-17T20:20:59+0430] [PACMAN] synchronizing package lists
[2021-04-17T20:21:01+0430] [PACMAN] starting full system upgrade
[2021-04-17T20:43:02+0430] [PACMAN] Running 'pacman -S xfce4'
[2021-04-17T20:43:14+0430] [ALPM] transaction started
[2021-04-17T20:43:14+0430] [ALPM] reinstalled xfconf (4.16.0-1)
[2021-04-17T20:43:14+0430] [ALPM] reinstalled exo (4.16.2-1)
[2021-04-17T20:43:14+0430] [ALPM] reinstalled garcon (4.16.1-1)
[2021-04-17T20:43:14+0430] [ALPM] reinstalled thunar (4.16.6-1)
[2021-04-17T20:43:14+0430] [ALPM] reinstalled thunar-volman (4.16.0-1)
[2021-04-17T20:43:14+0430] [ALPM] reinstalled tumbler (4.16.0-2)
[2021-04-17T20:43:14+0430] [ALPM] reinstalled xfce4-appfinder (4.16.1-1)
[2021-04-17T20:43:14+0430] [ALPM] reinstalled xfce4-panel (4.16.2-1)
[2021-04-17T20:43:15+0430] [ALPM] reinstalled xfce4-power-manager (4.16.0-2)
[2021-04-17T20:43:15+0430] [ALPM] reinstalled xfce4-session (4.16.0-1)
[2021-04-17T20:43:15+0430] [ALPM] reinstalled xfce4-settings (4.16.1-1)
[2021-04-17T20:43:15+0430] [ALPM] reinstalled xfce4-terminal (0.8.10-1)
[2021-04-17T20:43:15+0430] [ALPM] reinstalled xfdesktop (4.16.0-1)
[2021-04-17T20:43:15+0430] [ALPM] reinstalled xfwm4 (4.16.1-1)
[2021-04-17T20:43:16+0430] [ALPM] reinstalled xfwm4-themes (4.10.0-4)
[2021-04-17T20:43:17+0430] [ALPM] transaction completed
[2021-04-17T20:43:17+0430] [ALPM] running '30-systemd-update.hook'...
[2021-04-17T20:43:17+0430] [ALPM] running 'gio-querymodules.hook'...
[2021-04-17T20:43:17+0430] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-04-17T20:43:17+0430] [ALPM] running 'update-desktop-database.hook'...

its log of whole day

1 Like

I don’t see anything concerning in there.

Can you try creating a new user and login with that user? That will tell us if the problem is with the system or your user account/config.

EDIT: I missed the libicu errors. Can we see the contents of /etc/pacman.conf

3 Likes
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
#HookDir     = /etc/pacman.d/hooks/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -C - -f %u > %o
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta    = 0.7
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options
#UseSyslog
Color
ILoveCandy
#TotalDownload
# We cannot check disk space from within a chroot environment
#CheckSpace
#VerbosePkgLists

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel    = Required DatabaseOptional
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Arch Linux
# packagers with `pacman-key --populate archlinux`.

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist

[multilib]
Include = /etc/pacman.d/mirrorlist

[endeavouros]
SigLevel = PackageRequired
Include = /etc/pacman.d/endeavouros-mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs

there you go

1 Like

Can you back to the TTY and share the output of sudo pacman -Syu icu

2 Likes


Im so sorry for posting image but it was my only way since its my only laptoo and i cant make bootable usb

1 Like

There is something wrong with your mirror, it has an old version of icu. Update your mirrorlist and try updating your system again.

5 Likes

sorry but do you have any recommendations? im afraid of messing up more

1 Like
sudo reflector --latest 10 --sort rate --save /etc/pacman.d/mirrorlist
sudo pacman -Syu
7 Likes

well, i can say that you are a LIFE SAVER.
thank you for quick and helpful responds
marked your PM as solution and i gonna add [SOLVED] tag
glhf !

3 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.